%define upstream_name Horde_Cache
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.4
Release:     	%mkrel 4
Summary:    	Horde Caching API
License:    	LGPL
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Exception <= 2.0.0 
Requires:  	php-pear-Horde_Util <= 2.0.0 
Conflicts: 	php-pear-Horde_Exception = 2.0.0
Conflicts:  	php-pear-Horde_Util = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Cache = %{version}
Obsoletes:	horde-cache

%description
This package provides a simple, functional caching API, with the option to
store the cached data on the filesystem, in one of the PHP opcode cache
systems (APC, eAcclerator, XCache, or Zend Performance Suite's content
cache), memcached, or an SQL table.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Cache.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Cache.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Cache
fi

%files
%defattr(-,root,root)
%{peardir}/Horde/Cache.php
%{peardir}/Horde/Cache/Exception.php
%{peardir}/Horde/Cache/Storage/Apc.php
%{peardir}/Horde/Cache/Storage/Base.php
%{peardir}/Horde/Cache/Storage/Eaccelerator.php
%{peardir}/Horde/Cache/Storage/File.php
%{peardir}/Horde/Cache/Storage/Memcache.php
%{peardir}/Horde/Cache/Storage/Mock.php
%{peardir}/Horde/Cache/Storage/Null.php
%{peardir}/Horde/Cache/Storage/Session.php
%{peardir}/Horde/Cache/Storage/Sql.php
%{peardir}/Horde/Cache/Storage/Stack.php
%{peardir}/Horde/Cache/Storage/Xcache.php
%{peardir}/data/Horde_Cache/cache.sql
%{peardir}/data/Horde_Cache/migration/1_horde_cache_base_tables.php
%{xmldir}/Horde_Cache.xml


%changelog
* Wed Aug 03 2011 spuhler <spuhler> 1.0.4-4.mga2
+ Revision: 131443
- changed Provides: php-pear-Horde_Cache to Provides: php-pear-Horde_Cache = %%{version}
- added Obsoletes:	horde-cache
-Requires:  	php-pear-Exception <= 2.0.0
-Requires:  	php-pear-Util <= 2.0.0
-Conflicts: 	php-pear-Exception = 2.0.0
-Conflicts:  	php-pear-Util = 2.0.0
  +Requires:  	php-pear-Horde_Exception <= 2.0.0
  +Requires:  	php-pear-Horde_Util <= 2.0.0
  +Conflicts: 	php-pear-Horde_Exception = 2.0.0
  +Conflicts:  	php-pear-Horde_Util = 2.0.0
- imported package php-pear-Horde_Cache

